import { FileBase, IResolver, Project } from 'projen';
import { Section } from './elements/section';
export declare class Readme extends FileBase {
    sections: Array<Section>;
    constructor(project: Project);
    addSection(title: string, body: string): void;
    protected synthesizeContent(_: IResolver): string | undefined;
}
